ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetDeviceCommandUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetDeviceCommandUtils

-     public class InetDeviceCommandUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDeviceCommandUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `generateCommands(java.lang.String text, java.util.Map<java.lang.String,java.lang.String> replacements, java.lang.String optionConfig, java.util.List<InetCommandLoopPattern> loops)` Формирует команды для шлюза.
    `static java.lang.String` | `generateCommands(java.lang.String text, java.util.regex.Pattern pattern, java.util.List<java.lang.String> addresses, java.util.Map<java.lang.String,java.lang.String> replacements, java.lang.String optionConfig)` Формирует команды для шлюза.
    `static java.lang.String` | `generateCommands(java.lang.String text, java.lang.String template, java.util.List<java.lang.String> addresses, java.util.Map<java.lang.String,java.lang.String> replacements, java.lang.String optionConfig)` Формирует команды для шлюза.
    `static java.util.List<InetCommandLoopPattern>` | `getAddresLoops(java.util.List<java.lang.String> addresses)` строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDeviceCommandUtils

          public InetDeviceCommandUtils()

  - ### Method Detail

    - #### generateCommands

          public static final java.lang.String generateCommands(java.lang.String text,
                                                                java.lang.String template,
                                                                java.util.List<java.lang.String> addresses,
                                                                java.util.Map<java.lang.String,java.lang.String> replacements,
                                                                java.lang.String optionConfig)

      Формирует команды для шлюза.
      Parameters:
        `text` -
        `template` -
        `addresses` -
        `replacements` -
        `optionConfig` -
      Returns:

    - #### generateCommands

          public static final java.lang.String generateCommands(java.lang.String text,
                                                                java.util.regex.Pattern pattern,
                                                                java.util.List<java.lang.String> addresses,
                                                                java.util.Map<java.lang.String,java.lang.String> replacements,
                                                                java.lang.String optionConfig)

      Формирует команды для шлюза.
      Parameters:
        `text` -
        `template` -
        `addresses` -
        `replacements` -
        `optionConfig` -
      Returns:

    - #### getAddresLoops

          public static java.util.List<InetCommandLoopPattern> getAddresLoops(java.util.List<java.lang.String> addresses)

      строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
      Parameters:
        `addressList` -
      Returns:

    - #### generateCommands

          public static final java.lang.String generateCommands(java.lang.String text,
                                                                java.util.Map<java.lang.String,java.lang.String> replacements,
                                                                java.lang.String optionConfig,
                                                                java.util.List<InetCommandLoopPattern> loops)

      Формирует команды для шлюза.
      Parameters:
        `text` -
        `replacements` -
        `optionConfig` -
        `loops` -
      Returns: